# Visualization
TKV3d
DsgPrs

# DsgPrs_MidPointPresentation Class Reference

`#include <DsgPrs_MidPointPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Ax2 &theAxe, const gp_Pnt &MidPoint, const gp_Pnt &Position, const gp_Pnt &AttachPoint, const Standard_Boolean first)
| draws the representation of a MidPoint between two vertices.
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Ax2 &theAxe, const gp_Pnt &MidPoint, const gp_Pnt &Position, const gp_Pnt &AttachPoint, const gp_Pnt &Point1, const gp_Pnt &Point2, const Standard_Boolean first)
| draws the representation of a MidPoint between two lines or linear segments.
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Circ &aCircle, const gp_Pnt &MidPoint, const gp_Pnt &Position, const gp_Pnt &AttachPoint, const gp_Pnt &Point1, const gp_Pnt &Point2, const Standard_Boolean first)
| draws the representation of a MidPoint between two entire circles or two circular arcs.
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Elips &anElips, const gp_Pnt &MidPoint, const gp_Pnt &Position, const gp_Pnt &AttachPoint, const gp_Pnt &Point1, const gp_Pnt &Point2, const Standard_Boolean first)
| draws the representation of a MidPoint between two entire ellipses or two elliptic arcs.

## Member Function Documentation

static Standard_EXPORT void DsgPrs_MidPointPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Elips & | anElips,
|  | const gp_Pnt & | MidPoint,
|  | const gp_Pnt & | Position,
|  | const gp_Pnt & | AttachPoint,
|  | const gp_Pnt & | Point1,
|  | const gp_Pnt & | Point2,
|  | const Standard_Boolean | first
| ) | `[static]`

static Standard_EXPORT void DsgPrs_MidPointPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Circ & | aCircle,
|  | const gp_Pnt & | MidPoint,
|  | const gp_Pnt & | Position,
|  | const gp_Pnt & | AttachPoint,
|  | const gp_Pnt & | Point1,
|  | const gp_Pnt & | Point2,
|  | const Standard_Boolean | first
| ) | `[static]`

static Standard_EXPORT void DsgPrs_MidPointPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Ax2 & | theAxe,
|  | const gp_Pnt & | MidPoint,
|  | const gp_Pnt & | Position,
|  | const gp_Pnt & | AttachPoint,
|  | const gp_Pnt & | Point1,
|  | const gp_Pnt & | Point2,
|  | const Standard_Boolean | first
| ) | `[static]`

static Standard_EXPORT void DsgPrs_MidPointPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Ax2 & | theAxe,
|  | const gp_Pnt & | MidPoint,
|  | const gp_Pnt & | Position,
|  | const gp_Pnt & | AttachPoint,
|  | const Standard_Boolean | first
| ) | `[static]`

void DsgPrs_MidPointPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_MidPointPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_MidPointPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_MidPointPresentation.hxx